[versions]
kotlin = "2.0.20"
detekt = "1.23.7"
jfx-plugin = "0.1.0"
javafx = "23"

kotest = "5.9.1"

cedict-parser = "1.0.1"
chinese-transliteration = "1.0.1"

sqlite-jdbc = "3.46.0.1"

kotlinx-serialization-json = "1.7.1"
kotlinx-html-jvm = "0.11.0"

segment = "0.3.1"

ikonli-javafx = "12.3.1"

[libraries]
chinese-transliteration = { module = "com.marvinelsen:chinese-transliteration", version.ref = "chinese-transliteration" }
cedict-parser = { module = "com.marvinelsen:cedict-parser", version.ref = "cedict-parser" }

# Kotest
# See: https://kotest.io
kotest-core = { module = "io.kotest:kotest-runner-junit5", version.ref = "kotest" }
kotest-assertions = { module = "io.kotest:kotest-assertions-core", version.ref = "kotest" }

sqlite-jdbc = { module = "org.xerial:sqlite-jdbc", version.ref = "sqlite-jdbc" }

kotlinx-serialization-json = { module = "org.jetbrains.kotlinx:kotlinx-serialization-json", version.ref = "kotlinx-serialization-json" }
kotlinx-html-jvm = { module = "org.jetbrains.kotlinx:kotlinx-html-jvm", version.ref = "kotlinx-html-jvm" }

segment = { module = "com.github.houbb:segment", version.ref = "segment" }

ikonli-javafx = { module = "org.kordamp.ikonli:ikonli-javafx", version.ref = "ikonli-javafx" }

# Detekt
# See: https://detekt.dev
detekt-formatting = { module = "io.gitlab.arturbosch.detekt:detekt-formatting", version.ref = "detekt" }

[plugins]
# Kotlin
# See: https://plugins.gradle.org/plugin/org.jetbrains.kotlin.jvm
kotlin-jvm = { id = "org.jetbrains.kotlin.jvm", version.ref = "kotlin" }
kotlin-serialization = { id = "org.jetbrains.kotlin.plugin.serialization", version.ref = "kotlin" }

# Detekt
# See: https://detekt.dev
detekt = { id = "io.gitlab.arturbosch.detekt", version.ref = "detekt" }

jfx = { id = "org.openjfx.javafxplugin", version.ref = "jfx-plugin" }
